Results 1 to 3 of 3
  1. #1
    Join Date
    Jun 2002
    Posts
    2

    Unanswered: RMAN target 8.1.7.4.0 catalog 9.0.1.3.0

    Has anyone ever received the following RMAN error message when attempting to backup an 8.1.7.4.0 database using a 9.0.1.3.0 catalog database and schema? What did you do to resolve it?

    PLS-00306: wrong number or types of arguments in call to 'GETINCREMENTALSCN'

    There is a function called dbms_rcvman.getIncrementalScn
    in verisons 8.1.6.X, 8.1.7.0.0, and 9.0.1.X
    BUT 8.1.7.4.0 also has a procedure called
    dbms_rcvman.getIncrementalScn
    which does not exist in the 9.0.1.3.0 catalog.

  2. #2
    Join Date
    Jun 2002
    Location
    Indianapolis
    Posts
    21
    This is actually mentioned in the latest Oracle Magazine. The answer is that you can't.
    (At least officially and for the time being)


  3. #3
    Join Date
    Jun 2002
    Posts
    2

    Oracle support's recommended solution

    I checked with Oracle support and they informed me that the current solution is to create the 8.1.7.4.0 catalog schema in the 9.0.1.3.0 catalog database. The new dbms_rcvman procedure is included and will allow the backup to complete as normal. I have tested and implemented this solution. Apparently, the new procedure will be included in the 9.0.1.4.0 patchset which has not been released yet. Once this patchset is applied, the 8.1.7.4.0 catalog schema will not be required.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •